Page MenuHomePhabricator

llvm.noalias - CodeGen support
AcceptedPublic

Authored by hfinkel on Apr 30 2015, 8:20 AM.

Details

Summary

This is part of the series started by D9375, and adds CodeGen support for llvm.noalias. The support is trivial (the intrinsic always returns its argument).

Diff Detail

Event Timeline

hfinkel updated this revision to Diff 24714.Apr 30 2015, 8:20 AM
hfinkel retitled this revision from to llvm.assume - CodeGen support.
hfinkel updated this object.
hfinkel edited the test plan for this revision. (Show Details)
hfinkel added reviewers: chandlerc, reames.
hfinkel added a subscriber: Unknown Object (MLST).
reames accepted this revision.May 12 2015, 3:53 PM
reames edited edge metadata.

LGTM

This revision is now accepted and ready to land.May 12 2015, 3:53 PM
hfinkel retitled this revision from llvm.assume - CodeGen support to llvm.noalias - CodeGen support.Jul 7 2016, 5:26 PM
hfinkel edited edge metadata.
hfinkel updated this revision to Diff 63343.Jul 8 2016, 3:55 PM

Rebased.

majnemer accepted this revision.Jul 10 2016, 10:02 PM
majnemer added a reviewer: majnemer.
majnemer added a subscriber: majnemer.

LGTM

hfinkel updated this revision to Diff 73360.Oct 3 2016, 3:34 PM
hfinkel edited edge metadata.

Rebased

marksl added a subscriber: marksl.Jul 31 2018, 11:16 AM
troyj added a subscriber: troyj.Aug 22 2018, 9:30 AM